## org.apache.mahout.df
Class ErrorEstimate

    java.lang.Object
      org.apache.mahout.df.ErrorEstimate

    public final class ErrorEstimate

extends java.lang.Object

Various methods to compute from the output of a random forest

Method Summary
`static double` `errorRate(int[] labels, int[] predictions)`
`static int` `nbErrors(int[] labels, int[] predictions)` Counts the number of instance that got bad predictions
`static int` `nbPredicted(int[] predictions)` Counts the number of classified instances (prediction != -1)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### errorRate

    public static double errorRate(int[] labels,
                                   int[] predictions)

### nbPredicted

    public static int nbPredicted(int[] predictions)

  Counts the number of classified instances (prediction != -1)

### nbErrors

    public static int nbErrors(int[] labels,
                               int[] predictions)

  Counts the number of instance that got bad predictions

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.